#!/bin/bash
#
# Filename: BUGGER_all_projects_list.sh
#
# Script to generate HTML list of all Projects stored within BUGGER
#
# Copyright Ben Tasker 2010
# Released under the GNU GPL V3
# See http://benscomputer.no-ip.org/LICENSE
# for more details


# Config

# Grab our config
./BUGGER_config.sh imascript /tmp/BUGGER.front_page_process.conf.$$

source /tmp/BUGGER.front_page_process.conf.$$
rm -f /tmp/BUGGER.front_page_process.conf.$$ 2> /dev/null




# Functions


retrieve_data ()
{
# Retrieve the relevant records

# Will implement caching at a later date


# Grab Data Project Details

wget -q -O /tmp/.BUGGER.projlist.$$ "http://$DATABASE_SERVER/cgi-bin/Claims_DB_listener.sh?USER=$DBUSERNAME&PASS=$DBPASS&METHOD=2&DBNAME=Bugs&TABLE=Projects"



# Generate the HTML
HTML_gen_Proj_details

}




HTML_gen_Proj_details ()
{




/bin/cat << EOM
<html>
<head>
<title>BUGGER - Project Listing</title>
</head>
<body bgcolor="white">
<font size="+1"><b><center>All Projects</b></center></font>
<br><br>
<a href="/BUGGER/Index.shtml?USERNAME=$USERNAME">Home</a><br>
<hr><br><br>
<!-- Start listing -->
<table width="100%">
<tbody>

<tr>
<td><b><center>Project Name</b></center></td>
<td><b><center>Maintainer</b></center></td>
<td><b><center>Development Started</b></center></td>
<td><b><center>Development Ended</b></center></td>
<td><b><center>Description</b></center></td>
</tr>
EOM


while read -r a
do

echo "$a" > /tmp/.BUGGER.projlist.lbl.$$

PROJECT_ID=$( cat /tmp/.BUGGER.projlist.lbl.$$ | awk -F\, '{print $1}' | sed s/\"//g )
PROJECT_NAME=$( cat /tmp/.BUGGER.projlist.lbl.$$ | awk -F\, '{print $2}' | sed s/\"//g )
DEV_START=$( cat /tmp/.BUGGER.projlist.lbl.$$ | awk -F\, '{print $3}' | sed s/\"//g )
DEV_END=$( cat /tmp/.BUGGER.projlist.lbl.$$ | awk -F\, '{print $4}' | sed s/\"//g )
DESCRIPTION=$( cat /tmp/.BUGGER.projlist.lbl.$$ | awk -F\, '{print $5}' | sed s/\"//g | sed s/%2C/\,/g )
MAINTAINER=$( cat /tmp/.BUGGER.projlist.lbl.$$ | awk -F\, '{print $6}' | sed s/\"//g )



/bin/cat << EOM
<tr>
<td><center><b><a href="/BUGGER/Project_summary.shtml?USERNAME=$USERNAME&PROJ=$PROJECT_ID" target=_blank>$PROJECT_NAME</a></b></center></td>
<td><center>$MAINTAINER</center></td>
<td><center>$DEV_START</center></td>
<td><center>$DEV_END</center></td>
<td>$DESCRIPTION</td>
</tr>

EOM




done < /tmp/.BUGGER.projlist.$$





# Move onto the footer

gen_HTML_footer


}



gen_HTML_footer ()
{

/bin/cat << EOM

</tbody>
</table>
<br><br><br>
<br><br>

<a href="/BUGGER/Index.shtml?USERNAME=$USERNAME">Home</a><br>
<hr>

EOM
./BUGGER_generate_footer.sh

/bin/cat << EOM
<br>
</body>
</html>
EOM

exit_function
}



exit_function ()
{


rm -f /tmp/.BUGGER.projlist.$$ 2> /dev/null
rm -f /tmp/.BUGGER.projlist.lbl.$$ 2> /dev/null



exit
}






# Function MAIN


# Set the MIME-TYPE
echo Content-Type: text/html
echo

# Retrieve the username
USERNAME=$( /bin/env | grep "REQUEST_URI" | sed -n 's/^.*USERNAME=\([^&]*\).*$/\1/p' )

# Grab the Data
retrieve_data