#!/bin/bash
#
# Filename: BUGGER_Config.sh
#
# Script to output Configuration variables
# to specified file.
#
#
# Copyright Ben Tasker
# Released under the GNU GPL V3
# See http://benscomputer.no-ip.org/LICENSE
# for more details.


# Usage:
#
# BUGGER_Config.sh imascript OUTPUTFILE


# Dynamic Variables (don't tinker!)

PREVENT_HTTP_REQUEST="$1"
OUTPUT_FILE="$2"


# Functions


exit_function ()
{
exit



}


error_out ()
{

echo "No target file specified"
exit_function

}



output_config ()
{


/bin/cat << EOM >> "$OUTPUT_FILE"

# Where's the Database Server?
DATABASE_SERVER="192.168.1.122"

# Where's the secure Webserver?
WEBSERVER="https://benscomputer.no-ip.org"

# Where's the Standard Webserver
NONSSLWEBSERVER="http://benscomputer.no-ip.org"

# Fully Qualified Domain Name
FQDN_SERVER="benscomputer.no-ip.org"

# URL for page that allows users to publish files on server
# (leave blank for none)
UPLOAD_URL="/management/Upload_and_file_document.html"

# If your Claims_DB server has user authentication enabled you will need to
# provide a username and password here;
DBUSERNAME=""
DBPASS=""


EOM


exit_function

}



# Function Main




if [ "$PREVENT_HTTP_REQUEST" != "imascript" ]
then
# Not been called as a script. 
# Don't want to allow people to view our config just
# by accessing this script in their browser


exit_function


else

# Do we know where to output to?

if [ "$OUTPUT_FILE" == "" ]
then
# No
error_out

else

output_config

fi
fi
